Bug 105594 - makewhatis chokes when it sees a directory under manpath
makewhatis chokes when it sees a directory under manpath
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-25 17:30 EDT by Need Real Name
Modified: 2007-03-27 00:10 EDT (History)
0 users

See Also:
Fixed In Version: 1.5k-12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 18:14:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-09-25 17:30:24 EDT
Description of problem:

We use RCS to manage our software revision and thus there is
an RCS directory under our /project/man/man1 directory.
When we run makewhatis against /project/man, makewhatis only
processes the result from the find command up to the RCS
directory, then exits.  Can makewhatis be modified to ignore
directories?

Here is the result from the makewhatis cron job:

awk: cmd. line:10: (FILENAME=- FNR=322) fatal: file `./RCS' is a directory

Version-Release number of selected component (if applicable):

man-1.5k-6

How reproducible:

always

Steps to Reproduce:
1.
2.
3.
    
Actual results:

Incomplete whatis database.

Expected results:


Additional info:
Comment 1 Eido Inoue 2003-10-09 18:14:08 EDT
find fixed so that only regular files (or symlinks to regular files) fitting the
pattern of "*.[1-9nl]" or "*.[1-9nl].gz" will be added to the whatis db

Note You need to log in before you can comment on or make changes to this bug.